{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

<record-links-view endpoint="{{ url_for('api.get_record_links', id=record.id, direction='to') }}"
                   title="{% trans %}Outgoing record links{% endtrans %}"
                   direction="to">
</record-links-view>
<hr>
<record-links-view endpoint="{{ url_for('api.get_record_links', id=record.id, direction='from') }}"
                   title="{% trans %}Incoming record links{% endtrans %}"
                   direction="from">
</record-links-view>
<hr>
<resource-view title="{% trans %}Collections{% endtrans %}"
               placeholder="{% trans %}No collections.{% endtrans %}"
               endpoint="{{ url_for('api.get_record_collections', id=record.id) }}">
</resource-view>
<hr>
<div>
    <svg id="target-svg" data="{{ url_for('api.get_record_links_graph', id=record.id) }}" width="960" height="300"></svg>
</div>
